#include <bits/stdc++.h>
using namespace std;
#define pb push_back
#define s second
#define f first

vector<int> S,T;
vector<pair<int,int>> R;
vector<long long>D;
vector<bool> I;


std::vector<int> solve(std::vector<int> A){
 int n=A.size();
 vector<int>send;
 if(n%2==0){
    for(int i=0; i<n/2-1; i++){
        send.pb(i);
    }
    send.pb(n-1);
    for(int i=n/2-1; i<n-1; i++)
        send.pb(i);
return send;
 }else{

     for(int i=0; i<n/2; i++){
        send.pb(i);
    }
    send.pb(n-1);
    for(int i=n/2; i<n-1; i++)
        send.pb(i);
    return send;}

};